App\Entity\Account\Person:
  operations:
    # _me_:
    #   class: ApiPlatform\Metadata\Get
    #   method: GET
    #   security: 'is_granted("ROLE_USER")'
    #   securityMessage: 'Only authenticated users can get current user.'
    #   uriTemplate: /auth/me
    #   output: App\Dto\ReadModel\Account\Person
    #   provider: App\State\Provider\Account\RetrieveCurrentPerson
    #   normalizationContext:
    #     groups: [ 'person:read', 'address:read' ]
    #   openapi:
    #     summary: Retrieves the current user resource.
    #     description: Retrieves the current user resource.
    #     security:
    #       - JWT: [ 'ROLE_USER' ]

    _institution_:
      class: ApiPlatform\Metadata\Get
      method: GET
      security: 'is_granted("ROLE_USER")'
      securityMessage: 'Only authenticated users can get current user.'
      uriTemplate: /auth/institution
      output: App\Dto\ReadModel\Institution\Institution
      provider: App\State\Provider\Account\RetrieveCurrentInstitution
      normalizationContext:
        groups: [ 'institution:read', 'address:read' ]
      openapi:
        summary: Retrieves the current user institution resource.
        description: Retrieves the current user institution resource.
        security:
          - JWT: [ 'ROLE_USER' ]